LOCALE-GEN(8)

NAME
locale-gen - compile a list of locale definition files

SYNOPSIS
locale-gen [options] [locale] [language] ...

DESCRIPTION
Compiled locale files take about 50MB of disk space, and most users only need few locales. In order to save disk space, compiled locale files are not distributed in the locales package, but selected locales are automatically generated when this package is installed by running the locale-gen program. If a list of languages and/or locales is specified as arguments, then locale-gen only generates these particular locales and adds the new ones to /var/lib/locales/supported.d/local. Otherwise it generates all supported locales.

Locale data files can be stored either in a single archive file, /usr/lib/locale/locale-archive, or in a deep tree where individual files are stored under /usr/lib/locale/<locale_name>/LC_*. But unlike the locales package, compiled locale definitions are not removed when running locale-gen, and locales are compiled again only if locale source files have changed.

OPTIONS
These options override settings found in /etc/belocs/locale-gen.conf.

--help
    Display an help message and exit.

--purge
    Remove all existing locales before processing.

--no-purge
    Do not remove existing locales before processing.

--archive
    When this option is set, locale data are stored in a single archive /usr/lib/locale/locale-archive.

--no-archive
    When this option is set, locale data are stored in /usr/lib/locale/<locale_name>/LC_* files. This is the default.

--aliases=FILE
    Locale aliases are read from FILE.

FILES

/var/lib/locales/supported.d/*
    List all locales to generate. File format is similar to /usr/share/i18n/SUPPORTED.

/etc/belocs/locale-gen.conf
    Customize how compiled locale files are stored onto disk.

/usr/lib/locale/<locale_name>/LC_*
    Compiled locale data.

/usr/lib/locale/locale-archive
    Generated archive containing compiled locale data, if --archive flag is set.

/var/lib/belocs
    Directory used to keep track of changes in locale source files.

SEE ALSO
localedef(1), locale(1), locale-gen.conf(5).

AUTHOR
The locale-gen program was originally written by Debian GNU libc maintainers, and has been improved by Denis Barbier <barbier@debian.org> for the belocs-locales-bin package. This manual page has been rewritten from scratch to document the current behavior.